org.apache.sysds.runtime.lineage

## Enum LineageCacheConfig.ReuseCacheType

- java.lang.Object
- - java.lang.Enum<LineageCacheConfig.ReuseCacheType>
  - - org.apache.sysds.runtime.lineage.LineageCacheConfig.ReuseCacheType

All Implemented Interfaces:
  Serializable, Comparable<LineageCacheConfig.ReuseCacheType>

Enclosing class:
  LineageCacheConfig

    public static enum LineageCacheConfig.ReuseCacheType
    extends Enum<LineageCacheConfig.ReuseCacheType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NONE`
`REUSE_FULL`
`REUSE_HYBRID`
`REUSE_MULTILEVEL`
`REUSE_PARTIAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isFullReuse()`
`boolean` `isMultilevelReuse()`
`static boolean` `isNone()`
`boolean` `isPartialReuse()`
`static LineageCacheConfig.ReuseCacheType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LineageCacheConfig.ReuseCacheType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REUSE_FULL

    public static final LineageCacheConfig.ReuseCacheType REUSE_FULL

#### REUSE_PARTIAL

    public static final LineageCacheConfig.ReuseCacheType REUSE_PARTIAL

#### REUSE_MULTILEVEL

    public static final LineageCacheConfig.ReuseCacheType REUSE_MULTILEVEL

#### REUSE_HYBRID

    public static final LineageCacheConfig.ReuseCacheType REUSE_HYBRID

#### NONE

    public static final LineageCacheConfig.ReuseCacheType NONE

### Method Detail

#### values

    public static LineageCacheConfig.ReuseCacheType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LineageCacheConfig.ReuseCacheType c : LineageCacheConfig.ReuseCacheType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LineageCacheConfig.ReuseCacheType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isFullReuse

    public boolean isFullReuse()

#### isPartialReuse

    public boolean isPartialReuse()

#### isMultilevelReuse

    public boolean isMultilevelReuse()

#### isNone

    public static boolean isNone()